Set FSO = CreateObject("Scripting.FileSystemObject")
Set WShell = CreateObject ("WScript.Shell")
WShell.CurrentDirectory=FSO.getParentFolderName(WScript.ScriptFullName)
If not FSO.FileExists("main.hta") Then 
  MsgBox "  main.hta      EDZV"
  WScript.Quit
End If
If not FSO.FileExists("xml\temp.xml") Then 
  MsgBox "  xml\temp.xml.   ,    "
  WScript.Quit
End If

Set oXML = CreateObject("MSXML2.DOMDocument.4.0")
oXML.validateonParse = False
oXML.Load "xml\temp.xml"
If oXML.parseError <> 0 Then MsgError oXML.parseError

Set oXSD = CreateObject("MSXML2.DOMDocument.4.0")
Set oXSDSh = CreateObject("MSXML2.XMLSchemaCache.4.0")
vXSDPath = "xsd\" & oXML.DocumentElement.GetAttribute("xsi:noNamespaceSchemaLocation")

If not FSO.FileExists(vXSDPath) Then 
  MsgBox "  xsd   - " & vXSDPath
  WScript.Quit
End If

oXSD.Load  vXSDPath
If oXSD.parseError <> 0 Then MsgError oXML.parseError

oXSDSh.Add "", oXSD
Set oXML.Schemas = oXSDSh

oXML.validateOnParse = True
oXML.Load "xml\temp.xml"
If oXML.parseError <> 0 Then
  MsgError oXML.parseError
Else
  MsgBox "All OK"
End If

Sub MsgError(oErr)
  MsgBox "XSD:" & vXSDPath & vbCrLf & "Line:" & oErr.Line & vbCrLf & "Reason:" & oErr.reason & vbCrLf & "SrcText:" & oErr.srcText & vbCrLf & "File:" & oErr.URL
  WScript.Quit
End Sub
